### Method

# FwupdPlugin Firmware set_alignment

since: 1.6.0

#### Declaration [src]

    void
    fu_firmware_set_alignment (
      FuFirmware* self,
      guint8 alignment
    )

#### Description [src]

Sets the alignment of the firmware.

This allows a firmware to pad to a power of 2 boundary, where `alignment` is the bit position to align to.

Available since: 1.6.0

#### Parameters

`alignment`

  Type: `guint8`

  Integer, or 0 to disable.